package servlet;

import javax.servlet.*;
import javax.servlet.http.*;
import beans.Annuaire;
import beans.Personne;
import java.io.IOException;
import java.util.*;

public class SupprimerAmi extends HttpServlet {
  public void service(HttpServletRequest requete, HttpServletResponse reponse) throws ServletException, IOException {
    // récupérer la liste courante d'amis
    HttpSession session = requete.getSession(true);
    SortedSet<Integer> amis = (SortedSet<Integer>) session.getAttribute("idAmis");
    if (amis == null) {
      amis = new TreeSet<Integer>();
      session.setAttribute("idAmis", amis);
    }
    //  récupérer l'identifiant de la personne choisie
    String idChaine = requete.getParameter("id");
    int id = Integer.parseInt(idChaine);
    //TODO: traiter les cas d'erreur

    // ajouter la personne à la liste d'amis
    amis.remove(id);

    // passer la main à la vue suivante
    RequestDispatcher rd = requete.getRequestDispatcher("/getPers.do");
    rd.forward(requete, reponse);
  }
}
